# Back up cPanel account to home directory

This function creates a full backup to the user's home directory. The system creates a file in the backup-MM.DD.YYYY_HH-mm-ss_username.tar.gz filename format.

Endpoint: GET /Backup/fullbackup_to_homedir
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `email` (string)
    The email address to receive a confirmation email when the backup process completes.

Note:

The system does not provide confirmation if you do not pass this parameter.
    Example: "username@example.com"

  - `homedir` (string)
    How to manage the home directory in the backup.

* include — Include the home directory in the backup.
* skip — Omit the home directory from the backup.
    Enum: "include", "skip"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "fullbackup_to_homedir"

  - `module` (string)
    The name of the module called.
    Example: "Backup"

  - `result` (object)

  - `result.data` (object)

  - `result.data.pid` (string)
    The backup's process identifier.
    Example: "2857"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


